import { ColumnDescription } from "./ColumnDescription";
import { BaseDataSourceDescription } from "./BaseDataSourceDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class ComboBoxColumnDescription extends ColumnDescription {
    static $t: Type;
    protected get_type(): string;
    private static __canMarshalByValue1;
    constructor();
    private fd;
    get dataSourceRef(): string;
    set dataSourceRef(a: string);
    private fa;
    get dataSource(): BaseDataSourceDescription;
    set dataSource(a: BaseDataSourceDescription);
    private fe;
    get textField(): string;
    set textField(a: string);
    private ff;
    get valueField(): string;
    set valueField(a: string);
}
